## GcrPromptDialog GcrPromptDialog — a GTK+ dialog prompt |

## Properties

gboolean | choice-visible | Read
gboolean | confirm-visible | Read
gboolean | password-visible | Read
gboolean | warning-visible | Read

## Types and Values

struct | GcrPromptDialog
struct | GcrPromptDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GcrPromptDialog

## Implemented Interfaces

GcrPromptDialog implements AtkImplementorIface, GtkBuildable and GcrPrompt.

## Description

A GcrPrompt implementation which shows a GTK+ dialog. The dialog will remain visible (but insensitive) between prompts. If the user cancels the dialog between prompts, then the dialog will be hidden.

## Functions

## Types and Values

### struct GcrPromptDialog

    struct GcrPromptDialog;

A GcrPrompt implementation which shows a GTK+ dialog.

### struct GcrPromptDialogClass

    struct GcrPromptDialogClass {
    	GtkDialogClass parent_class;
    };

The class for GcrPromptDialog.

#### Members

## Property Details

### The `“choice-visible”` property

      “choice-visible”           gboolean

Whether the choice check box is visible or not.

Flags: Read

Default value: FALSE

### The `“confirm-visible”` property

      “confirm-visible”          gboolean

Whether the password confirm entry is visible or not.

Flags: Read

Default value: FALSE

### The `“password-visible”` property

      “password-visible”         gboolean

Whether the password entry is visible or not.

Flags: Read

Default value: FALSE

### The `“warning-visible”` property

      “warning-visible”          gboolean

Whether the warning label is visible or not.

Flags: Read

Default value: FALSE